Xerces2 Implementation: Class XMLSchemaValidator.XPathMatcherStack

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs
Class XMLSchemaValidator.XPathMatcherStack

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.XMLSchemaValidator.XPathMatcherStack

Enclosing class:
  XMLSchemaValidator

protected static class XMLSchemaValidator.XPathMatcherStack
extends java.lang.Object

Stack of XPath matchers for identity constraints.

Author:
  Andy Clark, IBM

Field Summary
`protected IntStack` | `fContextStack` Offset stack for contexts.
`protected XPathMatcher[]` | `fMatchers` Active matchers.
`protected int` | `fMatchersCount` Count of active matchers.

Constructor Summary
`XMLSchemaValidator.XPathMatcherStack()`

Method Summary
`void` | `addMatcher(XPathMatcher matcher)` Adds a matcher.
`void` | `clear()` Resets the XPath matcher stack.
`XPathMatcher` | `getMatcherAt(int index)` Returns the XPath matcher at the specified index.
`int` | `getMatcherCount()` Returns the count of XPath matchers.
`void` | `popContext()` Pops a context off of the stack.
`void` | `pushContext()` Pushes a new context onto the stack.
`int` | `size()` Returns the size of the stack.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fMatchers

    protected XPathMatcher[] fMatchers

  Active matchers.

### fMatchersCount

    protected int fMatchersCount

  Count of active matchers.

### fContextStack

    protected IntStack fContextStack

  Offset stack for contexts.

Constructor Detail

### XMLSchemaValidator.XPathMatcherStack

    public XMLSchemaValidator.XPathMatcherStack()

Method Detail

### clear

    public void clear()

  Resets the XPath matcher stack.

### size

    public int size()

  Returns the size of the stack.

### getMatcherCount

    public int getMatcherCount()

  Returns the count of XPath matchers.

### addMatcher

    public void addMatcher(XPathMatcher matcher)

  Adds a matcher.

### getMatcherAt

    public XPathMatcher getMatcherAt(int index)

  Returns the XPath matcher at the specified index.

### pushContext

    public void pushContext()

  Pushes a new context onto the stack.

### popContext

    public void popContext()

  Pops a context off of the stack.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.